---
title: 'Feature-Policy: vibrate'
slug: Web/HTTP/Headers/Feature-Policy/vibrate
tags:
  - Directive
  - Feature-Policy
  - HTTP
  - Reference
  - Vibration API
---
<p>{{HTTPSidebar}}{{SeeCompatTable}}</p>

<p><span class="seoSummary">The HTTP {{HTTPHeader("Feature-Policy")}} header <code>vibrate</code> {{deprecated_inline}} directive controls whether the current document is allowed to trigger device vibrations via {{DOMxRef("Navigator.vibrate","Navigator.vibrate()")}} method of <a href="/en-US/docs/Web/API/Vibration_API">Vibration API</a>.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre>Feature-Policy: vibrate &lt;allowlist&gt;;</pre>

<dl>
 <dt>&lt;vibrate&gt;</dt>
 <dd>{{page("Web/HTTP/Feature_Policy/Using_Feature_Policy", "allowlist")}}</dd>
</dl>

<p>The default value is <code>'self'</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Feature Policy')}}</td>
   <td>{{Spec2('Feature Policy')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("http.headers.Feature-Policy.vibrate")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Feature-Policy")}} header</li>
 <li><a href="/en-US/docs/Web/HTTP/Feature_Policy">Feature Policy</a></li>
 <li><a href="/en-US/docs/Web/HTTP/Feature_Policy/Using_Feature_Policy">Using Feature Policy</a></li>
 <li><a href="/en-US/docs/Web/API/Vibration_API">Vibration API</a></li>
 <li>{{DOMxRef("Navigator.vibrate","Navigator.vibrate()")}}</li>
</ul>
